{
  "private": true,
  "name": "msr",
  "version": "1.0.0",
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "eslint . --ext .js,.vue",
    "changelog": "conventional-changelog -p angular -i CHANGELOG.md -s",
    "commit": "cz"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "app-info-parser": "^1.1.3",
    "axios": "^0.24.0",
    "core-js": "^3.6.5",
    "dom-to-image": "^2.6.0",
    "echarts": "^5.3.1",
    "element-ui": "^2.15.6",
    "flv.js": "^1.6.2",
    "hls.js": "^1.1.2",
    "keycloak-js": "^15.0.2",
    "mediainfo.js": "^0.1.7",
    "mqtt": "^4.2.8",
    "nprogress": "^0.2.0",
    "path-to-regexp": "^6.2.0",
    "spark-md5": "^3.0.2",
    "vue": "^2.6.11",
    "vue-router": "^3.2.0",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.4.0"
  },
  "devDependencies": {
    "@babel/core": "^7.18.2",
    "@babel/eslint-parser": "^7.18.2",
    "@commitlint/cli": "^16.2.3",
    "@commitlint/config-conventional": "^16.2.1",
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-router": "~4.5.0",
    "@vue/cli-plugin-vuex": "~4.5.0",
    "@vue/cli-service": "~4.5.0",
    "chokidar": "^3.5.2",
    "commitizen": "^4.2.4",
    "conventional-changelog-cli": "^2.1.1",
    "cz-conventional-changelog": "^3.3.0",
    "eslint": "^8.17.0",
    "eslint-plugin-vue": "^8.0.3",
    "express-http-proxy": "^1.6.3",
    "lint-staged": "^9.5.0",
    "mockjs": "^1.1.0",
    "sass": "^1.26.5",
    "sass-loader": "^8.0.2",
    "script-ext-html-webpack-plugin": "^2.1.5",
    "svg-sprite-loader": "^6.0.11",
    "vue-template-compiler": "^2.6.11",
    "yorkie": "^2.0.0"
  },
  "gitHooks": {
    "pre-commit": "lint-staged",
    "commit-msg": "commitlint --env GIT_PARAMS"
  },
  "lint-staged": {
    "*.{js,jsx,vue}": [
      "eslint --ext .js,.vue --fix",
      "git add"
    ]
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  }
}
